# CalculatorMessage Class Reference

A message with information to the user. Primarily used for errors and warnings. More...

`#include <Calculator.h>`

List of all members.

## Public Member Functions

| CalculatorMessage (string message_, MessageType type_=MESSAGE_WARNING)
| CalculatorMessage (const CalculatorMessage &e)
string | message () const
const char * | c_message () const
MessageType | type () const

## Protected Attributes

string | smessage
MessageType | mtype

## Detailed Description

A message with information to the user. Primarily used for errors and warnings.

The documentation for this class was generated from the following file:

- libqalculate/Calculator.h